Full name: projects.locations.featurestores.entityTypes.list
Lists EntityTypes in a given Featurestore.
Endpoint
gethttps://{service-endpoint}/v1/{parent}/entityTypes
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
parentstring
Required. The resource name of the Featurestore to list EntityTypes. Format: projects/{project}/locations/{location}/featurestores/{featurestore}
Query parameters
filterstring
Lists the EntityTypes that match the filter expression. The following filters are supported:
createTime: Supports=,!=,<,>,>=, and<=comparisons. Values must be in RFC 3339 format.updateTime: Supports=,!=,<,>,>=, and<=comparisons. Values must be in RFC 3339 format.labels: Supports key-value equality as well as key presence.
Examples:
createTime > \"2020-01-31T15:30:00.000000Z\" OR updateTime > \"2020-01-31T15:30:00.000000Z\"--> EntityTypes created or updated after 2020-01-31T15:30:00.000000Z.labels.active = yes AND labels.env = prod--> EntityTypes having both (active: yes) and (env: prod) labels.labels.env: *--> Any EntityType which has a label with 'env' as the key.
pageSizeinteger
The maximum number of EntityTypes to return. The service may return fewer than this value. If unspecified, at most 1000 EntityTypes will be returned. The maximum value is 1000; any value greater than 1000 will be coerced to 1000.
pageTokenstring
A page token, received from a previous FeaturestoreService.ListEntityTypes call. Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to FeaturestoreService.ListEntityTypes must match the call that provided the page token.
orderBystring
A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending.
Supported fields:
entityTypeIdcreateTimeupdateTime
Mask specifying which fields to read.
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
Request body
The request body must be empty.
Response body
Response message for FeaturestoreService.ListEntityTypes.
If successful, the response body contains data with the following structure:
The EntityTypes matching the request.
nextPageTokenstring
A token, which can be sent as ListEntityTypesRequest.page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.
| JSON representation |
|---|
{
"entityTypes": [
{
object ( |